#include <Widget/Label/Label.hpp>

Label::Label(std::string text, glm::vec4 color) : text(text), color(color) {}

void Label::draw(GraphicsContext &context)
{
    context.color = color;
    context.drawText(Font::generic, 1, 1, text);
}

glm::ivec2 Label::getMinSize()
{
    return GraphicsContext::measureText(Font::generic, text) + glm::ivec2(2);
}